% Filename: PAM_Lec02_Relative_Sensitivity.m
%
% Calculate the relative and absolute sensitivity.
%
% DBE@UCLA 2016.01.04

%%  Define some constants
GMR_1H=42.57e6;  % Gyromagnetic ratio for 1H [Hz/T]
GMR_2H= 6.54e6;  % Gyromagnetic ratio for 2H [Hz/T]

SPN_1H=0.5;      % Spin for 1H
SPN_2H=1.0;      % Spin for 2H

NA_1H=0.9980;    % Natural abundance of 1H
NA_2H=0.0160;    % Natural abundance of 2H

%% Calculate the "sensitivity"
S_1H=(GMR_1H*2*pi)^(11/4)*SPN_1H*(SPN_1H+1); % "Sensitivity" for 1H
S_2H=(GMR_2H*2*pi)^(11/4)*SPN_2H*(SPN_2H+1); % "Sensitivity" for 2H

%% Calculate the relative sensitivity
RS_2H=S_2H/S_1H

%% Calculate the absolute sensitivity
AS2H=(RS_2H*NA_2H)